chai = require 'chai'
sinon = require 'sinon'
chai.use require 'sinon-chai'

expect = chai.expect

Robot       = require 'hubot/src/robot'
TextMessage = require('hubot/src/message').TextMessage

describe 'plusplus', ->
  @robot = {}
  @adapter = {}
  @user = {}

  before (done) =>
    # Create new robot, with http, using mock adapter
    @robot = new Robot null, 'mock-adapter', true

    @robot.adapter.on 'connected', =>

      require('../src/plusplus')(@robot)

      @user = @robot.brain.userForId '1', {
        name: 'user'
        room: '#test'
      }

      @adapter = @robot.adapter

    @robot.run()

    done()

  after (done) =>
    # @robot.adapter.on 'closed', ->
    #   done()

    @robot.shutdown()
    done()

  it 'responds to test++', (done) =>
    @adapter.on 'send', (envelope, strings) ->
      expect(strings[0]).to.match /test has 1 points/
      done()

    @adapter.receive(new TextMessage @user, 'test++')

  it 'responds to blah--', (done) =>
    @adapter.on 'send', (envelope, strings) ->
      console.log ['test',strings]
      expect(strings[0]).to.match /blah has -1 points/
      done()

    @adapter.receive(new TextMessage @user, 'blah--')
